//---------------------------------------------------------------------------
#ifndef B64DecDlgsH
#define B64DecDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Dialogs.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
class TB64DecodeDlg : public TForm
{
__published:	// IDE-managed Components
	TBevel *Bevel1;
	TOpenDialog *OpenDialog;
	TTimer *Timer1;
	TButton *BrowseBtn;
	TEdit *Edit1;
	TButton *DetachBtn;
	TButton *CancelBtn;
	TProgressBar *ProgressBar;
	//void __fastcall AttachBtnClick(TObject *Sender);
	//void __fastcall BrowseBtnClick(TObject *Sender);
	//void __fastcall CancelBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
    int status;
    TStrings *input;
	__fastcall TB64DecodeDlg(TComponent* Owner);
    bool __fastcall Execute(TStrings *Input);
};

class TMimeDec
{
private:
   TStrings *Input;
   TFileStream *Output;
   TProgressBar *ProgressBar;
public:
   int status;
   bool Cancelled;
   AnsiString Filename;
   __fastcall TMimeDec(TStrings *input, AnsiString filename, TProgressBar *progressbar);
   __fastcall ~TMimeDec();
   void __fastcall UUDecode();
   int __fastcall Execute();
};
//---------------------------------------------------------------------------
extern TB64DecodeDlg *B64DecodeDlg;
//---------------------------------------------------------------------------
#endif
