//---------------------------------------------------------------------------
#ifndef BackupDlgsH
#define BackupDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Dialogs.hpp>
//---------------------------------------------------------------------------
bool __fastcall BackupQuickSilverData(TForm *Owner, bool SecureMode);

class TBackupThread : public TThread
{
private:
protected:
   void __fastcall Execute();
public:
   bool finished,failed;
   AnsiString ExistingFile,CopyToFile,ErrorMsg;
   __fastcall TBackupThread(bool CreateSuspended);
};

class TBackupDlg : public TForm
{
__published:	// IDE-managed Components
	TButton *OkBtn;
	TButton *CancelBtn;
	TLabel *Label1;
	TBevel *Bevel1;
	TLabel *Label2;
	TSaveDialog *SaveDialog;
	TTimer *Timer1;
	TEdit *BackupFile;
	TLabel *Label4;
	TButton *BrowseBtn;
	TRadioButton *DbcDB;
	TRadioButton *PgpDB;
	TLabel *Label3;
	void __fastcall OkBtnClick(TObject *Sender);
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
	void __fastcall Timer1Timer(TObject *Sender);
	
	void __fastcall CancelBtnClick(TObject *Sender);
	void __fastcall BrowseBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
    bool securemode;
	virtual __fastcall TBackupDlg(TComponent* Owner);
	virtual __fastcall TBackupDlg(TComponent* Owner, bool SecureMode);
    AnsiString __fastcall ActiveDB();
    AnsiString __fastcall ChosenDB();
};
//---------------------------------------------------------------------------
extern TBackupDlg *BackupDlg;
//---------------------------------------------------------------------------
#endif
