//---------------------------------------------------------------------------
#ifndef MimeDecDlgsH
#define MimeDecDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include "MimeDec.hpp"
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall ProcessMIMEmessage(TForm *Owner, TStream *Msg);
bool __fastcall IsMIMEmessage(TStream *Msg);

class TMimeDecDlg : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label1;
	TMimeDecode *MimeDec;
	TTimer *Timer1;
	void __fastcall MimeDecHeaderLine(TObject *Sender);
	void __fastcall MimeDecHeaderEnd(TObject *Sender);
	void __fastcall MimeDecInlineDecodeLine(TObject *Sender, PChar Line);
	void __fastcall MimeDecPartBegin(TObject *Sender);
	void __fastcall MimeDecPartLine(TObject *Sender, PChar Data, int DataLen);
	void __fastcall MimeDecPartEnd(TObject *Sender);
	void __fastcall MimeDecInlineDecodeBegin(TObject *Sender, AnsiString Filename);
	void __fastcall MimeDecInlineDecodeEnd(TObject *Sender, AnsiString Filename);
	void __fastcall Timer1Timer(TObject *Sender);
private:	// User declarations
public:		// User declarations
    TStream *msg;
    TFileStream *outfile;
    bool hasplaintext;
    TStringList *message,*html;
    AnsiString AttachmentDir,CurFilename;
	__fastcall TMimeDecDlg(TComponent* Owner);
    virtual __fastcall ~TMimeDecDlg();
    bool __fastcall Execute(TStream *Msg);
    AnsiString __fastcall GoodFilename(AnsiString filename);
    bool __fastcall IsAttachment();
    bool __fastcall IsInline();
    bool __fastcall IsText();
    bool __fastcall IsHtml();
};
//---------------------------------------------------------------------------
extern TMimeDecDlg *MimeDecDlg;
//---------------------------------------------------------------------------
#endif
